import java.awt.event.*;
import java.awt.*;
import javax.swing.*;
import java.io.*;

/**
 * This is the main class for the Mapper. It manages the main menu
 * interface and calls to other windows.
 *
 * @author Alberto Simes
 */
public class teste extends JFrame implements ActionListener {

    /**
     * The constructor. Creates the window and the menu interface.
     */
    public teste() {
	super("--- Mapper ---");

	JMenuBar menu_bar;
	JMenuItem item;
	JMenu menu;

	System.setProperty("java.content.handler.pkgs","vlc.net.content");


	this.setSize(400,200);

	menu_bar = new JMenuBar();

	// Menu File
	menu = new JMenu("File");

	item = new JMenuItem("Edit map");
	item.addActionListener(this);
	menu.add(item);

	menu.addSeparator();

	item = new JMenuItem("Exit");
	item.setAccelerator(KeyStroke.getKeyStroke(new String("control X ")));
	item.addActionListener(this);
	menu.add(item);
	menu_bar.add(menu);

	// Menu Help
	menu = new JMenu("Help");

	item = new JMenuItem("About");
	item.addActionListener(this);
	menu.add(item);

	menu_bar.add(menu);

	this.setJMenuBar(menu_bar);
	
    	this.addWindowListener( new WindowAdapter() {
		public void windowClosing(WindowEvent e) {
		    System.exit(0);
		}
	    });
    }
    

    /**
     * The static main. Creates a new interface and enables it!
     */
    public static void main(String[] args) {
	teste t = new teste();
	t.setVisible(true);
    }
    

    /**
     * This is the action listener method for managing interface
     * actions
     *
     * @param e Event information.
     */
    public void actionPerformed(ActionEvent e) {

	if (e.getActionCommand().equals("Exit")) {

	    System.exit(0);

	} else if (e.getActionCommand().equals("About")) {

	    About a = new About("Mapper","A map meta-information editor!");

	} else if (e.getActionCommand().equals("Edit map")) {

//	    JFileChooser file_chooser = new JFileChooser();
//	    file_chooser.addActionListener(this);
//	    file_chooser.setFileFilter(new PngFilter());
//	    file_chooser.showOpenDialog(null);
//
//	} else if (e.getActionCommand().equals("ApproveSelection")) {
//
//	    JFileChooser file_chooser = (JFileChooser)e.getSource();
//	    MapViewer map_viewer = new MapViewer(new Map(file_chooser.getSelectedFile()));
	    MapViewer map_viewer = new MapViewer(new Map(new File("/home/ambs/gnumexp.png")));
	    map_viewer.setVisible(true);
	    map_viewer.setEnabled(true);

	} else {
	    // System.out.println(e.toString());
	}
    }
}
